org.bdgenomics.adam.util

# ADAMShell

###
Related Doc: package util

#### object ADAMShell

Utility methods for use in adam-shell.

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ADAMShell
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### def createMetricsListener(sc: SparkContext): MetricsListener

   Create and return a new metrics listener for the specified Spark context.

   Create and return a new metrics listener for the specified Spark context.

   sc

     Spark context.

   returns

     Return a new metrics listener for the specified Spark context.

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### val genotypeHeaders: Array[ASCIITableHeader]

    Genotype headers.

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### final def notify(): Unit

    Definition Classes
      AnyRef

16. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

17. #### def printFormatFields(genotypes: Seq[Genotype], keys: Seq[String], headerLines: Seq[VCFHeaderLine]): Unit

    Print VCF FORMAT field attributes for the specified genotypes.

    Print VCF FORMAT field attributes for the specified genotypes.

    genotypes

      Sequence of genotypes.

    keys

      Sequence of VCF FORMAT field attribute keys.

    headerLines

      Sequence of VCF header lines.

18. #### def printFormatFields(rdd: GenotypeRDD, keys: Seq[String], limit: Int = 10): Unit

    Print VCF FORMAT field attributes for genotypes in the specified rdd up to the limit.

    Print VCF FORMAT field attributes for genotypes in the specified rdd up to the limit.

    rdd

      GenotypeRDD.

    keys

      Sequence of VCF FORMAT field attribute keys.

    limit

      Number of genotypes to print VCF FORMAT field attribute values for. Defaults to 10.

19. #### def printGenotypeFilters(genotypes: Seq[Genotype], headerLines: Seq[VCFHeaderLine]): Unit

    Print genotype filter values for the specified genotypes.

    Print genotype filter values for the specified genotypes.

    headerLines

      Sequence of VCF header lines.

20. #### def printGenotypeFilters(rdd: GenotypeRDD, limit: Int = 10): Unit

    Print genotype filter values for genotypes in the specified rdd up to the limit.

    Print genotype filter values for genotypes in the specified rdd up to the limit.

    rdd

      GenotypeRDD.

    limit

      Number of genotypes to print genotype filter values for. Defaults to 10.

21. #### def printInfoFields(variants: Seq[Variant], keys: Seq[String], headerLines: Seq[VCFHeaderLine]): Unit

    Print VCF INFO field attributes for the specified variants.

    Print VCF INFO field attributes for the specified variants.

    variants

      Sequence of variants.

    keys

      Sequence of VCF INFO field attribute keys.

    headerLines

      Sequence of VCF header lines.

22. #### def printInfoFields(rdd: VariantRDD, keys: Seq[String], limit: Int = 10): Unit

    Print VCF INFO field attributes for variants in the specified rdd up to the limit.

    Print VCF INFO field attributes for variants in the specified rdd up to the limit.

    rdd

      VariantRDD.

    keys

      Sequence of VCF INFO field attribute keys.

    limit

      Number of variants to print VCF INFO field attribute values for. Defaults to 10.

23. #### def printMetrics(totalTime: Long, metricsListener: MetricsListener): Unit

    Print metrics gathered by the specified metrics listener.

    Print metrics gathered by the specified metrics listener.

    totalTime

      Total execution time, in ns.

    metricsListener

      Metrics listener.

24. #### def printMetrics(metricsListener: MetricsListener): Unit

    Print metrics gathered by the specified metrics listener.

    Print metrics gathered by the specified metrics listener.

    metricsListener

      Metrics listener.

25. #### def printVariantFilters(variants: Seq[Variant], headerLines: Seq[VCFHeaderLine]): Unit

    Print filter values for the specified variants.

    Print filter values for the specified variants.

    variants

      Sequence of variants to print filter values for.

    headerLines

      Sequence of VCF header lines.

26. #### def printVariantFilters(rdd: VariantRDD, limit: Int = 10): Unit

    Print filter values for variants in the specified rdd up to the limit.

    Print filter values for variants in the specified rdd up to the limit.

    rdd

      VariantRDD.

    limit

      Number of variants to print filter values for. Defaults to 10.

27. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

28. #### def toString(): String

    Definition Classes
      AnyRef → Any

29. #### val variantHeaders: Array[ASCIITableHeader]

    Variant headers.

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped